Subject: bug#25494: sed 4.3-1 segmentation fault (core dumped) : Error in `sed': realloc(): invalid next size: 0x000000000209aed0 ***

From: Noé Girand <[email-masked]>
Date: Fri, 20 Jan 2017 21:23:09 +0100

Hi Assaf, thanks for your quick reponse, I will check this tomorrow.

Best regards,
Noe

2017-01-20 21:13 GMT+01:00 Assaf Gordon <[email-masked]>:

> Hello,
>
> on 01/20/2017 02:29 PM, Noé Girand wrote:
> > Attached is my sed-dump.xml example input file, and `locale` outputs.
>
> Thank you.
>
> I was able to reproduce it with sed-4.3,
> and also able to confirm sed no longer segfaults in the latest git
> version.
> A related regex/newline bug was recently fixed in gnulib:
> http://git.savannah.gnu.org/cgit/gnulib.git/commit/?id=
> 823b5cb589366f7c8742503af980803afad0978f
>
> And I suspect it was the same cause as this bug.
>
>
> > Let me know if I can provide any additional help.
>
> Can you help us confirm that this bug is solved in the
> latest 'sed' ?
>
> If you are able to build from git, please use this:
>   http://git.savannah.gnu.org/cgit/sed.git
>
> Otherwise, I've prepared a temporary archive,
> available here:
>
>  http://download-mirror.savannah.gnu.org/releases/sed/
> sed-4.3.16-572d.tar.xz
>
>  $ sha256sum sed-4.3.16-572d.tar.xz
> 5dc97640e955fb84e84dc48667de703fac1dd12f3529859ed7ba252d4112d4ef
> sed-4.3.16-572d.tar.xz
>
>
>
> thanks,
>  - assaf
>